@echo off
echo ====== Installation de l'API DEPOSANT =====
REM Recuperation du chemin local
for /f "delims='" %%a in ('cd') do set BASEDIR=%%a

REM Definition du fichier de properties
set ENV=%1
if NOT DEFINED ENV GOTO NO_PROPERTIES

set ENV=%ENV:"=%

REM Definition du chemin vers le JRE
set JRE16_HOME=%2

set USER_PWD=%3

set KEYSTORE_PWD=%4

set PROXY_PWD=%5

if NOT DEFINED JRE16_HOME GOTO ASK_JRE_PATH

:SUITE
set JRE16_HOME=%JRE16_HOME:"=%
echo Valeur du JRE : %JRE16_HOME%

if NOT DEFINED USER_PWD GOTO ASK_USER_PWD

:SUITE_PWD
set USER_PWD=%USER_PWD:"=%
echo USER_PWD : %USER_PWD%

if NOT DEFINED KEYSTORE_PWD GOTO ASK_KEYSTORE_PWD

:SUITE_KEYPWD
set KEYSTORE_PWD=%KEYSTORE_PWD:"=%
echo KEYSTORE_PWD : %KEYSTORE_PWD%

if NOT DEFINED PROXY_PWD GOTO ASK_PROXY_PWD

:SUITE_PROXYPWD
set PROXY_PWD=%PROXY_PWD%
echo PROXY_PWD : %PROXY_PWD%


"%JRE16_HOME%\bin\java" -Dbasedir="%BASEDIR%" -Denv="%ENV%" -DjavaHomeToUse="%JRE16_HOME%" -DkeystorePwd="%KEYSTORE_PWD%" -DuserPwd="%USER_PWD%" -DproxyPwd="%PROXY_PWD%" -cp ./lib/ApiDeposantSecuredWS-3.7.0.jar;./lib/CommonHelperBdl-2.2.0.jar;./lib/DocumentSecuredWS-1.8.jar;./lib/DonneeReferenceSecuredWS-1.8.jar;./lib/JdbcHelperBdl-4.3.5.jar;./lib/LoggingHelperBdl-2.0.jar;./lib/Monitoring-EFILE-2017.Lot-4.0.jar;./lib/OpcSecuredWS-1.8.jar;./lib/TiersWS-1.8.jar;./lib/XmlHelperBdl-2.3.0.jar;./lib/Xt-20050823.jar;./lib/activation-1.1.jar;./lib/ant-1.10.9.jar;./lib/ant-launcher-1.10.9.jar;./lib/ant-launcher-1.6.5.jar;./lib/axis-1.4.jar;./lib/axis-jaxrpc-1.4.jar;./lib/axis-saaj-1.4.jar;./lib/axis-wsdl4j-1.5.1.jar;./lib/bcmail-jdk15on-1.47.jar;./lib/bcpkix-jdk15on-1.47.jar;./lib/bcprov-jdk15on-1.47.jar;./lib/clientfwk_api-EFILE-2017.Lot-4.0.jar;./lib/clientfwk_con-2021.1.1.jar;./lib/clientfwk_wkf-1.5.jar;./lib/clientutil-EFILE-2018.HF-10.0.jar;./lib/commons-compress-1.3.jar;./lib/commons-discovery-0.2.jar;./lib/commons-io-1.4.jar;./lib/commons-jexl-1.1.jar;./lib/commons-lang-2.5.jar;./lib/commons-logging-1.0.4.jar;./lib/commons-net-2.0.jar;./lib/documentwsmfo-1.0.6.jar;./lib/dom4j-1.6.1.jar;./lib/echgCryptoCore-1.0.3.jar;./lib/echg_ace-EFILE-2017.Lot-4.0.jar;./lib/edtFTPj-1.5.3.jar;./lib/efileDto-EFILE-2017.Lot-4.0.jar;./lib/efileTransfo-EFILE-2017.Lot-4.0.jar;./lib/efileUtil-EFILE-2017.Lot-4.0.jar;./lib/framework-1.0.6.jar;./lib/freemarker-2.3.19.jar;./lib/genericParser-1.0.jar;./lib/jackson-core-asl-1.9.13.jar;./lib/jackson-mapper-asl-1.9.13.jar;./lib/jaxen-core-1.0-FCS.jar;./lib/jaxen-jdom-1.0-FCS.jar;./lib/jcifs-krb5-1.2.9.jar;./lib/jdom-1.1.jar;./lib/jibx-extras-1.2.5.jar;./lib/jibx-run-1.2.5.jar;./lib/joda-time-2.1.jar;./lib/jsr173-1.0.jar;./lib/jta-1.1.jar;./lib/junit-4.8.1.jar;./lib/log4j-1.2.17-atlassian-1.jar;./lib/mail-1.4.1.jar;./lib/perf4j-0.9.13.jar;./lib/poi-3.10-FINAL.jar;./lib/poi-ooxml-3.10-FINAL.jar;./lib/poi-ooxml-schemas-3.10-FINAL.jar;./lib/quartz-1.8.5.jar;./lib/saxon-8.7.jar;./lib/saxon8-8.6.1.jar;./lib/saxon8-dom-8.6.1.jar;./lib/saxpath-1.0-FCS.jar;./lib/slf4j-api-1.6.0.jar;./lib/sonic_Client-7.5.jar;./lib/sonic_Crypto-7.5.jar;./lib/spring-beans-5.3.23.jar;./lib/spring-core-5.3.23.jar;./lib/spring-jcl-5.3.23.jar;./lib/stax-api-1.0.1.jar;./lib/suivi-1.0.jar;./lib/tools-1.8.0.jar;./lib/wrapper-3.5.17.jar;./lib/wsdl4j-1.5.1.jar;./lib/wss4j-1.5.1.jar;./lib/xalan-2.4.1.jar;./lib/xercesImpl-2.2.1.jar;./lib/xml-apis-1.3.04.jar;./lib/xmlbeans-2.2.0.jar;./lib/xmlbeans-xpath-2.2.0.jar;./lib/xmlsec-1.3.0.jar;./lib/xpaaj-1.0.jar;./lib/xpp3-1.1.3.4.O.jar org.apache.tools.ant.Main -buildfile ./install.xml
GOTO END

:ASK_JRE_PATH
echo Entrez le chemin vers le home d'un JRE 1.8:.
echo (exemple: "C:\Program Files\Java\jre8").
set /p JRE16_HOME=
GOTO SUITE

:ASK_USER_PWD
echo Entrez le mot de passe de l'utilisateur:
set /p USER_PWD=
GOTO SUITE_PWD

:ASK_KEYSTORE_PWD
echo Entrez le mot de passe du keystore:
set /p KEYSTORE_PWD=
GOTO SUITE_KEYPWD

:ASK_PROXY_PWD
echo Si vous avez un proxy necessitant un mot de passe veuillez l'entrer:
set /p PROXY_PWD=
GOTO SUITE_PROXYPWD


:NO_PROPERTIES
echo Un fichier de propriete DOIT etre passe en parametre.
echo A properties files MUST BE passed in parameter.
GOTO END

:END
