<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

	<xsl:output method="text" encoding="ISO-8859-1"/>
	
	<xsl:strip-space elements="*"/>
	
	<xsl:template match="/">
	
  <xsl:apply-templates select="ack"/>
		
	</xsl:template>
	
	<xsl:template match="ack">
		<xsl:apply-templates select="trace"/>
	</xsl:template>

	<xsl:template match="trace">
		<xsl:value-of select="ligne/."/>
		<xsl:if test="ligne/.">
			<xsl:text> : </xsl:text>
		</xsl:if>
		<xsl:value-of select="msg/."/>
	  	<xsl:text>&#10;</xsl:text>
	  	
	</xsl:template>
	
</xsl:stylesheet>
